# --Description: Create a new Cue in the Selected CueSheet
import sys
import os
import cri.atomcraft.debug as acdebug
import cri.atomcraft.project as acproject

# Get the selected CueSheets
selected_cuesheets = acproject.get_selected_objects("CueSheet")["data"]

# Check if a CueSheet is selected
if not selected_cuesheets:
    acdebug.warning("Please select a CueSheet.")
    sys.exit()

else:
# Get the name of the first selected CueSheet
	cuesheet_name = acproject.get_value(selected_cuesheets [0], "Name")["data"]

# Create a Cue in the selected CueSheet
	cue_name = "My_Cue"
	acproject.create_object(selected_cuesheets [0], "Cue", cue_name)["data"]

	acdebug.log(f"The Cue \"{cue_name}\" was created in the CueSheet \"{cuesheet_name}\"")